Bug 1473839 - impossible to change screen resolution
impossible to change screen resolution
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 16:13 EDT by Stefan Seefeld
Modified: 2018-05-29 08:05 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:05:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Seefeld 2017-07-21 16:13:32 EDT
Description of problem:

Since a little while (i.e., for at least a few releases), the choice in display resolutions in the "display - system settings" dialog have been very limited. In fact, for my laptop (Dell xps 15), which is capable of a 3840 x 2160 resolution, I only see "3200x1800" as the only choice for the given aspect ratio. All other choices correspond to the more traditional aspect ratio, and thus would leave wide margins.

Version-Release number of selected component (if applicable):

7:4.14.3-3.fc24

(I'm not convinced kdeadmin is responsible for this, though it is the package providing the GUI for these settings (I believe). The actual limitation may come from the actual video driver...


How reproducible:

always.


Steps to Reproduce:
1. Open the "System settings" dialog, 
2. Go to the "Display and Monitor" module,
3. Try to select a different resolution.

Actual results:


Expected results:

A wider selection of applicable resolutions (i.e., matching the physical aspect ratio). In previous releases there were at least four or five of them.


Additional info:
Comment 1 Rex Dieter 2017-07-22 10:36:15 EDT
What does output from command line:

xrandr

say?  that should be the same that is offered by plasma.

If xrandr does not display what you expect, the problem lies elsewhere.
Comment 2 Stefan Seefeld 2017-07-22 10:43:50 EDT
The output is
```
Screen 0: minimum 320 x 200, current 3528 x 3000, maximum 8192 x 8192
eDP-1 connected primary 3200x1800+0+1200 (normal left inverted right x axis y axis) 346mm x 194mm
   3200x1800     59.98*+
   2048x1536     60.00  
   1920x1440     60.00  
   1856x1392     60.01  
   1792x1344     60.01  
   1600x1200     60.00  
   1400x1050     59.98  
   1280x1024     60.02  
   1280x960      60.00  
   1024x768      60.04    60.00  
   960x720       60.00  
   928x696       60.05  
   896x672       60.01  
   800x600       60.00    60.32    56.25  
   700x525       59.98  
   640x512       60.02  
   640x480       60.00    59.94  
   512x384       60.00  
   400x300       60.32    56.34  
   320x240       60.05  
HDMI-1 connected 1600x1200+0+0 (normal left inverted right x axis y axis) 367mm x 275mm
   1600x1200     60.00*+
   1280x1024     75.02    60.02  
   1152x864      75.00  
   1024x768      75.03    60.00  
   800x600       75.00    60.32  
   640x480       75.00    59.94  
   720x400       70.08  
DP-1 connected 1920x1200+1608+0 (normal left inverted right x axis y axis) 518mm x 324mm
   1920x1200     59.95*+
   1920x1080     60.00  
   1600x1200     60.00  
   1680x1050     59.95  
   1280x1024     60.02  
   1280x960      60.00  
   1024x768      60.00  
   800x600       60.32  
   640x480       59.94  
   720x400       70.08  
HDMI-2 disconnected (normal left inverted right x axis y axis)
```
Comment 3 Stefan Seefeld 2017-07-22 10:44:38 EDT
(By the way, I'm observing other bugs, related to my three-display setup. The one I'm reporting here, though, is the most pressing.)
Comment 4 Fedora End Of Life 2018-05-03 04:40:51 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2018-05-29 08:05:32 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.